sample15.cpp File Reference

Example: bvector<> methods to find last bit and bit-vectors effective range. More...

`#include <stdlib.h>`
`#include <iostream>`
`#include <vector>`
`#include <cassert>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample15.cpp:

Go to the source code of this file.

## Functions

static void | fill_bvector (bm::bvector<> *bv)
int | main (void)

## Variables

const unsigned | MAX_VALUE = 10000000

## Detailed Description

Example: bvector<> methods to find last bit and bit-vectors effective range.

Definition in file sample15.cpp.

## Function Documentation

## fill_bvector()

void fill_bvector | ( | bm::bvector<> * | bv | ) |

static

Definition at line 49 of file sample15.cpp.

References MAX_VALUE, and bm::bvector< Alloc >::set().

Referenced by main().

## main()

int main | ( | void |  | ) |

Definition at line 62 of file sample15.cpp.

References bm::bvector< Alloc >::count(), fill_bvector(), bm::bvector< Alloc >::find(), bm::bvector< Alloc >::find_range(), bm::bvector< Alloc >::find_reverse(), and bm::bvector< Alloc >::test().

## Variable Documentation

## MAX_VALUE

const unsigned MAX_VALUE = 10000000

Definition at line 46 of file sample15.cpp.